## utm 0.7.0

=== requirements.txt ===
pytest==4.6.11
pytest-cov==2.10.1

=== debian/changelog ===
utm (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Aug 2023 13:11:38 +0200

utm (0.7.0-1) unstable; urgency=medium

  * Initial release (Closes: #1043369).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 11 Aug 2023 05:52:10 +0000

=== debian/control ===
Source: utm
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/Turbo87/utm
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-gis-team/utm
Vcs-Git: https://salsa.debian.org/debian-gis-team/utm.git
Description: Bidirectional UTM-WGS84 converter for Python
 Lightweight bidirectional coordinate converter for Python.
 .
 The library include an easy to use and pure Python implementation
 of routines need to convert UTM coordinates into WGS84 and
 vice versa.

Package: python3-utm
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=utm
export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/usr/bin'

%:
	dh $@ --with python3 --buildsystem=pybuild

## utm 0.8.0

=== requirements.txt ===
pytest==8.3.4
pytest-cov==5.0.0; python_version < '3.9'
pytest-cov==6.0.0; python_version >= '3.9'

=== debian/changelog ===
utm (0.8.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Drop 0001-Do-not-use-distutils.patch, applied upstream.
  * debian/control:
    - Add buld-dependency on python3-pytest.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 01 Feb 2025 10:03:10 +0000

utm (0.7.0-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Dec 2023 15:41:44 +0000

## utm 0.8.1

=== requirements.txt ===
pytest==8.3.5
pytest-cov==5.0.0; python_version < '3.9'
pytest-cov==6.0.0; python_version >= '3.9'

=== debian/changelog ===
utm (0.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 09 Mar 2025 16:24:11 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,11 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
                python3-all,
+               python3-pytest <!nocheck>,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/Turbo87/utm
 Rules-Requires-Root: no

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=utm
export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/usr/bin'

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?\/archive\/.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/Turbo87/utm/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
